
`timescale 1ns / 1ps

module rtl_block(

    input clk,
    output [31:0] Q

    );
    
(* MARK_DEBUG = "TRUE" *) wire [31:0] Q;
(* MARK_DEBUG = "TRUE" *) wire CE;
(* MARK_DEBUG = "TRUE" *) wire SCLR;
(* MARK_DEBUG = "TRUE" *) wire UP;
(* MARK_DEBUG = "TRUE" *) wire LOAD;
(* MARK_DEBUG = "TRUE" *) wire [31:0] L;

    
rtlcounter rtl_counter (
	.clk(clk),
	.CE(CE),
	.SCLR(SCLR),
	.UP(UP),
	.LOAD(LOAD),
	.L(L),
	.Q(Q)
);    
// //  UNCOMMENT AFTER GENERATING VIO IP

// axis_vio_0 u_rtl_vio (
//  .probe_in0(Q),    // input wire [31 : 0] probe_in0
//  .probe_out0(CE),  // output wire [0 : 0] probe_out0
//  .probe_out1(SCLR),  // output wire [0 : 0] probe_out1
//  .probe_out2(UP),  // output wire [0 : 0] probe_out2
//  .probe_out3(LOAD),  // output wire [0 : 0] probe_out3
//  .probe_out4(L),  // output wire [31 : 0] probe_out4
//  .clk(clk)                // input wire clk
// );   
  
endmodule


//<copyright-disclaimer-start>
//  **************************************************************************************************************
//  * © 2025 Advanced Micro Devices, Inc. All rights reserved.                                                   *
//  * DISCLAIMER                                                                                                 *
//  * The information contained herein is for informational purposes only, and is subject to change              *
//  * without notice. While every precaution has been taken in the preparation of this document, it              *
//  * may contain technical inaccuracies, omissions and typographical errors, and AMD is under no                *
//  * obligation to update or otherwise correct this information.  Advanced Micro Devices, Inc. makes            *
//  * no representations or warranties with respect to the accuracy or completeness of the contents of           *
//  * this document, and assumes no liability of any kind, including the implied warranties of noninfringement,  *
//  * merchantability or fitness for particular purposes, with respect to the operation or use of AMD            *
//  * hardware, software or other products described herein.  No license, including implied or                   *
//  * arising by estoppel, to any intellectual property rights is granted by this document.  Terms and           *
//  * limitations applicable to the purchase or use of AMD’s products are as set forth in a signed agreement     *
//  * between the parties or in AMD's Standard Terms and Conditions of Sale. GD-18                               *
//  *                                                                                                            *
//  **************************************************************************************************************
//<copyright-disclaimer-end> 
